<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KXMLGUIFactory</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KXMLGUIFactory Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>


<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183175852">clientAdded</a> (<a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183176428">clientRemoved</a> (<a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183173260">makingChanges</a> (bool a0)</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191336492">__init__</a> (self, <a href="../kdeui/KXMLGUIBuilder.html">KXMLGUIBuilder</a> builder, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183206092">addClient</a> (self, <a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183192940">changeShortcutScheme</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> scheme)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183175852">clientAdded</a> (self, <a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183176428">clientRemoved</a> (self, <a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[KXMLGUIClien]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183203660">clients</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183190380">configureShortcuts</a> (self, bool bAllowLetterShortcuts=1, bool bSaveSettings=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183203212">container</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> containerName, <a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client, bool useTagName=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[QWidge]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183191884">containers</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> tagName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183173260">makingChanges</a> (self, bool a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183205452">plugActionList</a> (self, <a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, [QActio] actionList)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183190348">refreshActionProperties</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183204556">removeClient</a> (self, <a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183191628">reset</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183189996">resetContainer</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> containerName, bool useTagName=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183203532">unplugActionList</a> (self, <a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a> client, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191134572">actionPropertiesElement</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomdocument.html">QDomDocument</a> doc)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183208172">findActionByName</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a> elem, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> sName, bool create)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191238252">readConfigFile</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filename, <a href="../kdecore/KComponentData.html">KComponentData</a> componentData=KComponentData())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191144012">saveConfigFile</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomdocument.html">QDomDocument</a> doc, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filename, <a href="../kdecore/KComponentData.html">KComponentData</a> componentData=KComponentData())</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj191336492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIBuilder.html">KXMLGUIBuilder</a>&nbsp;</td>
<td class="paramname"><em>builder</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a KXMLGUIFactory. The provided <b>builder</b> KXMLGUIBuilder will be called
for creating and removing container widgets, when clients are added/removed from the GUI.
</p>
<p>
Note that the ownership of the given KXMLGUIBuilder object won't be transferred to this
KXMLGUIFactory, so you have to take care of deleting it properly.
</p></div></div><a class="anchor" name="obj191134572"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a> actionPropertiesElement</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomdocument.html">QDomDocument</a>&nbsp;</td>
<td class="paramname"><em>doc</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Find or create the ActionProperties element, used when saving custom action properties
</dd></dl>
</p></div></div><a class="anchor" name="obj183206092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addClient</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;</td>
<td class="paramname"><em>client</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates the GUI described by the QDomDocument of the client,
using the client's actions, and merges it with the previously
created GUI.
This also means that the order in which clients are added to the factory
is relevant; assuming that your application supports plugins, you should
first add your application to the factory and then the plugin, so that the
plugin's UI is merged into the UI of your application, and not the other
way round.
</p></div></div><a class="anchor" name="obj183192940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> changeShortcutScheme</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>scheme</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj183175852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clientAdded</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;</td>
<td class="paramname"><em>client</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("clientAdded(KXMLGUIClient*)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj183176428"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clientRemoved</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;</td>
<td class="paramname"><em>client</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("clientRemoved(KXMLGUIClient*)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj183203660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[KXMLGUIClien] clients</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a list of all clients currently added to this factory
</p></div></div><a class="anchor" name="obj183190380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int configureShortcuts</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>bAllowLetterShortcuts=1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>bSaveSettings=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Show a standard configure shortcut for every action in this factory.
</p>
<p>
This slot can be connected directly to the action to configure shortcuts. This is very simple to
do that by adding a single line
<pre class="fragment">
 KStandardAction.keyBindings( guiFactory(), SLOT( configureShortcuts() ), actionCollection() );
</pre>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>bAllowLetterShortcuts</em>&nbsp;</td><td> Set to false if unmodified alphanumeric
keys ('A', '1', etc.) are not permissible shortcuts.

<tr><td></td><td valign="top"><em>bSaveSettings</em>&nbsp;</td><td> if true, the settings will also be saved back to
the *uirc file which they were intially read from.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj183203212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> container</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>containerName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;</td>
<td class="paramname"><em>client</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>useTagName=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Use this method to get access to a container widget with the name specified with <b>containerName</b>
and which is owned by the <b>client.</b> The container name is specified with a "name" attribute in the
XML document.
</p>
<p>
This function is particularly useful for getting hold of a popupmenu defined in an XMLUI file.
For instance:
<pre class="fragment">
 QMenu *popup = static_cast&lt;QMenu*&gt;(guiFactory()-&gt;container("my_popup",this));
</pre>
where <b>"my_popup"</b> is the name of the menu in the XMLUI file, and
<b>"this"</b> is XMLGUIClient which owns the popupmenu (e.g. the mainwindow, or the part, or the plugin...)
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>containerName</em>&nbsp;</td><td> Name of the container widget

<tr><td></td><td valign="top"><em>client</em>&nbsp;</td><td> Owner of the container widget

<tr><td></td><td valign="top"><em>useTagName</em>&nbsp;</td><td> Specifies whether to compare the specified name with the name attribute or
the tag name.
</td></tr>
</table></dl>
<p> This method may return 0 if no container with the given name exists or is not owned by the client.
</p></div></div><a class="anchor" name="obj183191884"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[QWidge] containers</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>tagName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj183208172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a> findActionByName</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomelement.html">QDomElement</a>&nbsp;</td>
<td class="paramname"><em>elem</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>sName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>create</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Find or create the element for a given action, by name.
Used when saving custom action properties
</dd></dl>
</p></div></div><a class="anchor" name="obj183173260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> makingChanges</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the factory is currently making changes to the GUI,
i.e. adding or removing clients.
makingChanges(true) is emitted before any change happens, and
makingChanges(false) is emitted after the change is done.
This allows e.g. KMainWindow to know that the GUI is
being changed programmatically and not by the user (so there is no reason to
save toolbar settings afterwards).
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1.3
</dd></dl>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("makingChanges(bool)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj183205452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> plugActionList</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;</td>
<td class="paramname"><em>client</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">[QActio]&nbsp;</td>
<td class="paramname"><em>actionList</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191238252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> readConfigFile</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filename</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KComponentData.html">KComponentData</a>&nbsp;</td>
<td class="paramname"><em>componentData=KComponentData()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj183190348"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> refreshActionProperties</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Use this method to reset and reread action properties (shortcuts, etc.) for all actions.
This is needed, for example, when you change shortcuts scheme at runtime.
</p></div></div><a class="anchor" name="obj183204556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> removeClient</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;</td>
<td class="paramname"><em>client</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Removes the GUI described by the client, by unplugging all
provided actions and removing all owned containers (and storing
container state information in the given client)
</p></div></div><a class="anchor" name="obj183191628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> reset</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Use this method to free all memory allocated by the KXMLGUIFactory. This deletes the internal node
tree and therefore resets the internal state of the class. Please note that the actual GUI is
NOT touched at all, meaning no containers are deleted nor any actions unplugged. That is
something you have to do on your own. So use this method only if you know what you are doing :-)
</p>
<p>
(also note that this will call KXMLGUIClient.setFactory( 0 ) for all inserted clients)
</p></div></div><a class="anchor" name="obj183189996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> resetContainer</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>containerName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>useTagName=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Use this method to free all memory allocated by the KXMLGUIFactory for a specific container,
including all child containers and actions. This deletes the internal node subtree for the
specified container. The actual GUI is not touched, no containers are deleted or any actions
unplugged. Use this method only if you know what you are doing :-)
</p>
<p>
(also note that this will call KXMLGUIClient.setFactory( 0 ) for all clients of the
container)
</p></div></div><a class="anchor" name="obj191144012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool saveConfigFile</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdomdocument.html">QDomDocument</a>&nbsp;</td>
<td class="paramname"><em>doc</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filename</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KComponentData.html">KComponentData</a>&nbsp;</td>
<td class="paramname"><em>componentData=KComponentData()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj183203532"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> unplugActionList</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;</td>
<td class="paramname"><em>client</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
